osl::CsaFile Class Reference

`#include <csaRecord.h>`

Inheritance diagram for osl::CsaFile:

## Public Member Functions

| CsaFile (std::istream &is)
| CsaFile (const std::string &filename)
| ~CsaFile ()
Public Member Functions inherited from osl::record::RecordFile
virtual | ~RecordFile ()
Record | load () const
const NumEffectState | initialState () const
const std::vector< Move > | moves () const

## Static Public Member Functions

static SearchInfo | makeInfo (const SimpleState &initial, const std::string &line, Move last_move)
static void | parseLine (SimpleState &, Record &, std::string element, bool parse_move_comment=true)

## Private Member Functions

void | read (std::istream &)

## Additional Inherited Members

Protected Attributes inherited from osl::record::RecordFile
Record | record

## Detailed Description

Definition at line 10 of file csaRecord.h.

## Constructor & Destructor Documentation

## CsaFile() [1/2]

osl::record::CsaFile::CsaFile | ( | std::istream & | is | ) |

Definition at line 152 of file csaRecord.cc.

## CsaFile() [2/2]

osl::record::CsaFile::CsaFile | ( | const std::string & | filename | ) |

Definition at line 140 of file csaRecord.cc.

## ~CsaFile()

osl::record::CsaFile::~CsaFile | ( |  | ) |

Definition at line 158 of file csaRecord.cc.

## Member Function Documentation

## makeInfo()

osl::record::SearchInfo osl::record::CsaFile::makeInfo | ( | const SimpleState & | initial,
|  | const std::string & | line,
|  | Move | last_move )

static

Definition at line 18 of file csaRecord.cc.

## parseLine()

void osl::record::CsaFile::parseLine | ( | SimpleState & | state,
|  | Record & | record,
|  | std::string | element,
|  | bool | parse_move_comment = true )

static

Definition at line 69 of file csaRecord.cc.

## read()

void osl::record::CsaFile::read | ( | std::istream & | is | ) |

private

Definition at line 163 of file csaRecord.cc.

The documentation for this class was generated from the following files:

- csaRecord.h
- csaRecord.cc